# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

RegisterFile			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef RegisterFile_Monolithic
include                         $(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
endif
ifndef RegisterFile_Multi_Banked
include                         $(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.deps
endif


#-----[ Library ]------------------------------------------
RegisterFile_LIBRARY		= 	-lRegisterFile				\
					$(RegisterFile_Monolithic_LIBRARY)      \
					$(RegisterFile_Multi_Banked_LIBRARY)    \
					$(Behavioural_LIBRARY)	

RegisterFile_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/lib	\
					$(RegisterFile_Monolithic_DIR_LIBRARY)      \
					$(RegisterFile_Multi_Banked_DIR_LIBRARY)    \
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

RegisterFile_library		: 
				@\
				$(MAKE) Behavioural_library; \
				$(MAKE) RegisterFile_Monolithic_library;\
				$(MAKE) RegisterFile_Multi_Banked_library;\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile --makefile=Makefile;
	
RegisterFile_library_clean	: 
				@\
				$(MAKE) Behavioural_library_clean; \
				$(MAKE) RegisterFile_Monolithic_library_clean;\
				$(MAKE) RegisterFile_Multi_Banked_library_clean;\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile --makefile=Makefile clean;
